## zowe › file-master-plus › create › partitioned-data-set-extended

Create an extended partitioned data set.

#### Usage

zowe file-master-plus create partitioned-data-set-extended <name> [options]

#### Positional Arguments

- `name` (string)

  - Specifies the name of the data set to create.

#### Options

- `--model` | `-m` (string)

  - Specifies the name of a model extentded partitioned data set name for allocating parameters.
    The parameters of the model data set override all defaults.
    Example: -m fmmvs.model.dsname

- `--data-set-version` | `--dsv` | `--ver` (number)

  - Specifies the data set version.
    Default value depends on the system settings.
    Example: --ver 2

    Allowed values: 1, 2

- `--generations` | `-g` (number)

  - Specifies the number of generations.
    Applicable when data set version is '2'.
    Default value: 0
    Example: -g 10

- `--logical-record-length` | `--lrecl` | `--lrl` (number)

  - Specifies the length of the logical record.
    Allowed values: 1-32760
    Default value: 80
    Example: --lrecl 80

- `--block-size` | `--blksize` | `--bs` (number)

  - Specifies the size of the block of records.
    Allowed values: 1-32760
    Default value: 6160
    Example: --blksize 6160

- `--record-format` | `--recfm` | `--rf` (string)

  - Specifies the record format.
    The allowed values which have the following meaning:
    F - Fixed-length records
    V - Variable-length records
    U - Undefined-length records
    B - Records are blocked
    A - Records contain ASCII printer control characters
    M - Records contain machine code control characters
    S - For variable-length records, records may span blocks
    T - Records may be written into overflow tracks
    Default value: FB
    Example: --recfm FB

    Allowed values: F, FA, FM, FB, FBA, FBM, FS, FSA, FSM, FT, FTA, FTM, FBS, FBT, U, UA, UM, UT, UTA, UTM, V, VA, VM, VB, VBA, VBM, VS, VSA, VSM, VT, VTA, VTM, VBS, VBT

- `--space-units` | `--su` (string)

  - Specifies the space allocation unit.
    The allowed values have the following meaning:
    TRK - Tracks
    CYL - Cylinders
    BLK - Blocksize
    Default value: CYL
    Example: --su blk

    Allowed values: TRK, CYL, BLK

- `--primary-space` | `--ps` (number)

  - Specifies primary space allocation unit.
    Allowed values: 1-16777215
    Default value: 1
    Example: --ps 3

- `--secondary-space` | `--ss` (number)

  - Specifies secondary space allocation unit.
    Allowed values: 1-16777215
    Default value: 1
    Example: --ss 5

- `--volume` | `-v` (string)

  - Specifies a disk volume or specific tapes.
    Example: -v vol002

- `--unit-type` | `--ut` (string)

  - Specifies the DASD unit name.
    Example: --ut sysda

- `--expiration-date` | `--ed` (string)

  - Specifies the expiration date after which the data set can be deleted.
    Specify 'P' or 'p' to make the data set permanent, or an expiration date in YYYY-MM-DD format.
    Example: --ed 2032-07-31

- `--storage-class` | `--sc` (string)

  - Specifies the storage class.
    Example: --sc scl002

- `--management-class` | `--mc` (string)

  - Specifies the management class.
    Example: --mc mcl002

- `--data-class` | `--dc` (string)

  - Specifies the data class.
    Example: --dc dcl002

#### FMP Connection Options

- `--host` | `-H` (string)

  - Specifies File Master Plus server host name.

- `--port` | `-P` (number)

  - Specifies File Master Plus server port.

    Default value: 51914

- `--user` | `-u` (string)

  - Specifies Mainframe user name. May be the same as TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Specifies Mainframe password. May be the same as TSO password.

- `--protocol` | `-o` (string)

  - Specifies File Master Plus REST API protocol.

    Default value: https
    Allowed values: http, https

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all FMP resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

#### Profile Options

- `--fmp-profile` | `--fmp-p` (string)

  - The name of a (fmp) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Creating a PDSE with default option values:

  - `zowe file-master-plus create partitioned-data-set-extended fmmvs.test.dsname`

- Creating a PDSE version 2 with options:

  - `zowe file-master-plus create partitioned-data-set-extended fmmvs.test.dsname --ver 2 -g 10 --lrecl 180 --blksize 32720 --recfm vb --ps 5 --ss 5 -v vol005 --su trk --ed 2025-09-27`

- Creating a PDSE data set like a model PDSE:

  - `zowe file-master-plus create partitioned-data-set-extended fmmvs.test.dsname --model fmmvs.model.dsname`

- Creating a PDSE like a model PDSE and the parameters with options:

  - `zowe file-master-plus create partitioned-data-set-extended fmmvs.test.dsname --model fmmvs.model.dsname --lrecl 180 --recfm vb --ps 5 --ss 5 --db 5 -v vol005 --ed p`